/*	STRING TYPES HEADER
 *	Copyright (c) 1997 by COSMIC Software
 */

#ifndef __STRING__
#define __STRING__	1

#define _BOOL @bool
#define _BUILTIN @builtin
#define _NEAR @near

/*	function declarations
 */
char * _NEAR strcat(char *s1, char *s2);
char * _NEAR strchr(char *s, int c);
char * _BUILTIN _NEAR strcpy(char *s1, char *s2);
char * _NEAR strncat(char *s1, char *s2, unsigned int n);
char * _NEAR strncpy(char *s1, char *s2, unsigned int n);
char * _NEAR strpbrk(char *s1, char *s2);
char * _NEAR strrchr(char *s, int c);
char * _NEAR strstr(char *s1, char *s2);
_BOOL _NEAR int memcmp(void *s1, void *s2, unsigned int n);
_BOOL _NEAR int strcmp(char *s1, char *s2);
int _NEAR strncmp(char *s1, char *s2, unsigned int n);
unsigned int _NEAR strcspn(char *s1, char *s2);
unsigned int _BUILTIN _NEAR strlen(char *s);
unsigned int _NEAR strspn(char *s1, char *s2);
void * _NEAR memchr(void *s, int c, unsigned int n);
void * _BUILTIN _NEAR memcpy(void *s1, void *s2, unsigned int n);
void * _NEAR memmove(void *s1, void *s2, unsigned int n);
void * _NEAR memset(void *s, int c, unsigned int n);

#endif
