/*	INTERRUPT VECTORS TABLE 68HC12
 *	Copyright (c) 1996 by COSMIC Software
 */
void _stext();		/* startup routine */
void recept();		/* character receive handler */

void (* const _vectab[])() = {			/* 0xFFCE */
	0,		/* Key Wake Up H   */
	0,		/* Key Wake Up J   */
	0,		/* ATD             */
	0,		/* SCI 2           */
	recept,		/* SCI 1           */
	0,		/* SPI             */
	0,		/* Pulse acc input */
	0,		/* Pulse acc overf */
	0,		/* Timer overf     */
	0,		/* Timer channel 7 */
	0,		/* Timer channel 6 */
	0,		/* Timer channel 5 */
	0,		/* Timer channel 4 */
	0,		/* Timer channel 3 */
	0,		/* Timer channel 2 */
	0,		/* Timer channel 1 */
	0,		/* Timer channel 0 */
	0,		/* Real time       */
	0,		/* IRQ             */
	0,		/* XIRQ            */
	0,		/* SWI             */
	0,		/* illegal         */
	0,		/* cop fail        */
	0,		/* cop clock fail  */
	_stext,		/* RESET           */
	};
