/*	GENERAL LIBRARY FUNCTIONS HEADER
 *	Copyright (c) 1997 by COSMIC Software
 */
#ifndef __STDLIB__
#define __STDLIB__	1

#define EXIT_FAILURE 0
#define EXIT_SUCCESS 1
#define MB_CUR_MAX 1
#define NULL	(void *)0
#define RAND_MAX 32767

#ifndef __SIZE_T__
#define __SIZE_T__	1
typedef unsigned int size_t;
#endif

#ifndef __WCHAR_T__
#define __WCHAR_T__	1
typedef char wchar_t;
#endif

#define _BUILTIN @builtin

typedef struct {
	int quot;
	int rem;
	} div_t;

typedef struct {
	long quot;
	long rem;
	} ldiv_t;

#define _NEAR @near

_BUILTIN _NEAR abs();
double _NEAR atof(char *nptr);
int _NEAR atoi(char *nptr);
long _NEAR atol(char *nptr);
void * _NEAR calloc(unsigned int nelem, unsigned int elsize);
div_t _NEAR div(int numer, int denom);
void _NEAR exit(int status);
void _NEAR free(void *ptr);
long _NEAR labs(long l);
ldiv_t _NEAR ldiv(long numer, long denom);
void * _NEAR malloc(unsigned int size);
int _NEAR rand(void);
void * _NEAR realloc(void *ptr, unsigned int size);
void _NEAR srand(unsigned int seed);
double _NEAR strtod(char *s, char **endptr);
long _NEAR strtol(char *s, char **endptr, int base);

#define abort exit
#define strtoul strtol

_BUILTIN _NEAR min();
_BUILTIN _NEAR max();

#endif
